Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6146 - cannot place root partion on /dev/hdc
Summary: cannot place root partion on /dev/hdc
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-20 16:54 UTC by blah
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-03 15:57:27 UTC


Attachments (Terms of Use)

Description blah 1999-10-20 16:54:13 UTC
when installing, the partitioning tool refuses to put the /
partition on /dev/hdc

Comment 1 Jay Turner 1999-10-21 19:44:59 UTC
This issue has been forwarded to a developer for further action.

Comment 2 James Baum 2000-01-24 08:20:59 UTC
... or on /dev/hdd
The partitioning part of the installer basically sux.
I do NOT need a /boot partition, and I would like to specify that my swap
partition shoul be /dev/hdc1, at the start of the disk, for performance reasons.
Being forced to create a /boot partition and a swap partition is WRONG!
Tell the installer to stop treating me like an idiot!
When trying to squeeze RH6.1 on a 103MB disk, I don't want more than one
partition!
Please only give a warning if the partitions aren't what you want them to be -
not a fatal error.
Where's the fdisk option?
Where's the "Force / to be /dev/hdc1, not hdc5 or something else" option?

Comment 3 Erik Troan 2000-02-03 15:57:59 UTC
Expert mode presented the option to use manual fdisk, and enables you to work
around all of these behaviors. The next release lets the user use fdisk in
normal mode (not restricting it to expert).

You're right that we were overly-protective in Cartman.


Note You need to log in before you can comment on or make changes to this bug.